Name: sash
Version: 3.4
Release: ipl10mdk

Packager: Dmitry V. Levin <ldv@altlinux.org>

Summary: A statically linked shell, including some built-in basic commands
License: GPL
Group: Shells
Url: http://www.canb.auug.org.au/~dbell/programs/

Source: %name-%version.tar.bz2
Patch: %name-3.4-alt.patch.bz2

Requires: terminfo

# Automatically added by buildreq on Sat Jun 29 2002
BuildRequires: libreadline-devel-static libtinfo-devel-static zlib-devel-static

%description
Sash is a simple, standalone, statically linked shell which includes
simplified versions of built-in commands like ls, dd and gzip.  Sash
is statically linked so that it can work without shared libraries, so
it is particularly useful for recovering from certain types of system
failures.  Sash can also be used to safely upgrade to new versions of
shared libraries.

%prep
%setup -q
%patch -p1

find -type f -name \*.orig -print0 |
	xargs -r0 %__rm -f --

%build
%make_build

%install
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

%files
/sbin/*
%_mandir/man?/*

%changelog
* Mon Nov 18 2002 Stanislav Ievlev <inger@altlinux.ru> 3.4-ipl10mdk
- rebuild, new version will be after distro release

* Sat Jun 29 2002 Dmitry V. Levin <ldv@altlinux.org> 3.4-ipl9mdk
- Patched to link with libtinfo.

* Tue Feb 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.4-ipl8mdk
- Updated buildrequires.

* Mon Jan 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.4-ipl7mdk
- Fixed losetup builtin.

* Tue Jan 08 2002 Stanislav Ievlev <inger@altlinux.ru> 3.4-ipl6mdk
- fixed permissions for manual pages (bug #0000303)

* Sat Nov 25 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl5mdk
- Rewritten completely readline support
  (original was unusable beacause of bugs).
- Various fixes.
- Enhanced error reporting.
- Merged patches into one file.

* Thu Aug 24 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl4mdk
- Added readline support
  (by Valery Kornienkov <vlk@dimavb.st.simbirsk.su>).

* Thu Jun 22 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl3mdk
- RE adaptions.

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 3.4-3mdk
- new group

* Mon Mar 13 2000 Pixel <pixel@mandrakesoft.com> 3.4-2mdk
- new version

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man page

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- rebuild against new glibc in the sparc tree

* Mon Aug  2 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 3.3 (#4301).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build
